PostgreSQL 8.4.2 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_cursor_find

## Name

SPI_cursor_find -- find an existing cursor by name

## Synopsis

    Portal SPI_cursor_find(const char * name)

## Description

`SPI_cursor_find` finds an existing portal by name. This is primarily useful to resolve a cursor name returned as text by some other function.

## Arguments

`const char * `name``

  name of the portal

## Return Value

pointer to the portal with the specified name, or `NULL` if none was found

Prev | Home | Next
SPI_cursor_open_with_args | Up | SPI_cursor_fetch